<?php

/**
 * Package: Ilys-editor.
 * Author: Mircea Sandu
 * Filename: admin.php
 * Mar 2017
 */
class ive_admin
{

    const TRACKING_KEY = 'ive_tracking';

    public function __construct()
    {

        $this->tracking = get_option(self::TRACKING_KEY);

        add_action('admin_menu', array($this, 'add_settings_page'));

        add_action('admin_init', array($this, 'maybe_save_settings'));

        add_action('admin_notices', array($this, 'display_notices'));

    }

    public function add_settings_page() {

        add_options_page(__('Flow by ilys', 'ive'),__('Flow by ilys', 'ive'),'manage_options', 'ive_options', array($this, 'settings_page'));

    }

    public function settings_page() {

        include_once(plugin_dir_path(IVE_PLUGIN_FILE).'templates/settings.php');

    }

    public function maybe_save_settings() {

        if ( isset($_POST['ive_options_nonce']) && wp_verify_nonce($_POST['ive_options_nonce'], 'ive_options') ) {

            $ive_options = array();

            $ive_options['allow'] = isset($_POST['ive_tracking']);

            update_option(self::TRACKING_KEY, $ive_options);

            if ( isset($_POST['ive_first']) ) {
                $first_url = add_query_arg(array('ive_saved'=> 1), admin_url());
                wp_safe_redirect($first_url);
                exit;
            }

            $this->tracking = get_option(self::TRACKING_KEY);

        }

    }

    public static function get_options_page_url() {
        $url = admin_url('options-general.php');
        $url = add_query_arg(array('page'=>'ive_options'), $url);
        return $url;
    }

    public static function redirect_to_settings($plugin) {


        if( $plugin == plugin_basename( IVE_PLUGIN_FILE ) ) {
            self::set_default_settings();

            $url = add_query_arg(array('ive_first'=> 1), self::get_options_page_url() );

            wp_safe_redirect( $url );
            exit;
        }

    }

    public static function set_default_settings() {
        $ive_options = array();
        $ive_options['allow'] = 1;
        update_option(self::TRACKING_KEY, $ive_options);
    }

    public function display_notices() {

        if( isset($_GET['ive_saved']) ) {

            ?>
            <div class="notice notice-success is-dismissible">
                <p><?php _e( 'Flow settings saved.', 'sample-text-domain' ); ?></p>
            </div>
            <?php

        }

    }

}

global $ive_admin;
$ive_admin = new ive_admin();