<?php
/**
 * Package: Ilys-editor.
 * Author: Mircea Sandu
 * Filename: settings.php
 * Mar 2017
 */
global $ive_admin;
$allow = isset($ive_admin->tracking['allow']) ? $ive_admin->tracking['allow'] : false;
?>
<div class="wrap">
    <h2><?php _e('Flow by ilys Settings', 'ive'); ?></h2>
    <br/>
    <a href="https://www.ilys.com/?ref=wpflowbasic" target="_new"><img src="<?php _e(plugin_dir_url(IVE_PLUGIN_FILE) . 'assets/img/ilysLogo.png') ?>" border="0" height="200"></a>
    <h3>Break through your writer's block and unleash your inner creative genius.</h3>
    <p>
      Use Flow when you want to easily get your words out of your head and onto the page. It is very helpful in putting your critical-inner-editor to sleep while you unleash a torrent of genius creativity. When you are happy with what you have written, press the ESC key to return to the WordPress editor and refine your writing to prepare it for publishing.
      <br/><br/>
      To use it, click on the "Flow" tab in the WordPress Editor:<br/>
      <img src="<?php _e(plugin_dir_url(IVE_PLUGIN_FILE) . 'assets/img/FlowTabInEditor.png') ?>" border="0" height="100"><br/><br/>
      The screen will turn dark and you can begin typing. As you write, you will see only one letter on the screen. You cannot edit or delete as you write. If you try to delete, a buzzer will sound. This will help train you to keep going forward no matter what happens.<br/><br/>
      Try Ninja Mode, which will remove everything from the screen as you write. This has the effect of speeding up your writing even more because there is no longer anything for the mind to attach to and attempt to criticize. The switch for Ninja Mode can be found on the lower left corner of the writing screen and looks like this:<br/><br/>
      <img src="<?php _e(plugin_dir_url(IVE_PLUGIN_FILE) . 'assets/img/NinjaModeSwitch.png') ?>" border="0" height="50"><br/><br/>
      If you ever need help, click on the "?" icon in the upper left corner of the Flow screen:<br/><br/>
      <img src="<?php _e(plugin_dir_url(IVE_PLUGIN_FILE) . 'assets/img/FlowHelp.png') ?>" border="0" height="50"></br><br/>
      You will find your output increasing tremendously when you create the habit of forward-only writing. Save the editing, backspacing, spelling, etc., for the editing phase, which will happen after you finish your writing. While you are writing, allow yourself to simply WRITE -- do not edit. Get your words out first, then perfect them.<br/><br/>
      <br/>
      If you find Flow useful and would like to support future development, you are invited to become an <a href="https://www.ilys.com/?ref=wpflowbasic" target="new">ilys member</a> or <a href="https://www.paypal.me/donate2ilys" target="_new">make a donation</a>. That'd be awesome :)
      <br/>
      <br/>
      Team ilys wishes you a lot of fun with <a href="https://www.ilys.com/?ref=wpflowbasic" target="_new">Flow</a>!<br/><br/><br/>
      <h3>Credits</h3>
      <strong>Vision to Reality</strong>
      <ul>
      <li><a href="https://www.ilys.com/about" target="_new">Michael Gurevich</a></li>
      </ul>
      <br/>
      <strong>Programming</strong>
      <ul>
      <li><a href="http://mircian.com" target="_new">Mircea Sandu</a></li>
      <li>Luis Manuel Gonçalves Torres</li>
      <li>H. Alper Döm</li>
      </ul>
      <br/>
      <strong>Super-Mega-Special Thanks!</strong>
      <ul>
      <li><a href="https://www.hmn.md" target="_new">Joe Hoyle</a></li>
      <li><a href="https://www.verygoodplugins.com" target="_new">Jack Arturo</a></li>
      <li><a href="http://atkinsps.com" target="_new">Jonathan Atkins</a></li>
      </ul>
      <br/>
      <h3>ilys Loves and Supports</h3>
      <ul>
      <li><a href="https://www.nanowrimo.org" target="_new">National Novel Writing Month<a/></li>
      <li><a href="https://www.davidlynchfoundation.org/" target="_new">David Lynch Foundation</a></li>
      </ul>
      <br/>
      <br/>
      <h3>Usage Statistics</h3>
      It would be very helpful to us if you would allow us to know when the plugin is being used. This does not send any other information to Google Analytics other than an event that says ilys Flow has been activated. There is no personally identifiable information sent, nor any of the content you are writing. It helps us know that people are using Flow. Is that ok?
    </p>
    <form action="" method="post">
        <table class="form-table">
            <tbody>
                <tr>
                    <th scope="row"><label for="ive_tracking"><?php _e('Metrics', 'ive'); ?></label></th>
                    <td>
                        <label>
                            <input name="ive_tracking" id="ive_tracking" type="checkbox" value="1" <?php checked($allow, 1); ?>>
                            <?php _e('It\'s ok send usage metrics to Google Analytics', 'ive'); ?>
                        </label>
                    </td>
                </tr>
            </tbody>
        </table>
        <?php wp_nonce_field('ive_options', 'ive_options_nonce'); ?>
        <?php if ( isset($_REQUEST['ive_first']) ) { ?>
            <input type="hidden" name="ive_first" value="1" />
        <?php } ?>
        <p class="submit"><input name="submit" id="submit" class="button button-primary" value="<?php _e('Save Changes', 'ive'); ?>" type="submit"></p>
    </form>
</div>
